<template>
  <div>
    <v-app-bar app>
      <v-app-bar-nav-icon
        v-if="!permanentDrawer"
        @click.stop="drawer = !drawer"
      />
    </v-app-bar>

    <drawer
      app
      :permanent="permanentDrawer"
      v-model="drawer"
    />

    <v-content>
      <router-view />
    </v-content>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'

import Drawer from '@/components/Drawer.vue'

export default Vue.extend({
  name: 'Dashboard',
  components: {
    Drawer
  },
  data: () => ({
    drawer: false
  }),
  mounted () {
    this.drawer = !!this.permanentDrawer
  },
  computed: {
    permanentDrawer () {
      return this.$vuetify.breakpoint.mdAndUp
    }
  }
})
</script>
